Bug#653060: KeyError: 'could not find foreign type Surface'

Jean-Michel Vourgère jmv_deb at nirgal.com
Fri Dec 23 10:18:02 UTC 2011

Package: gnome-sudoku
Version: 1:3.0.2-2
Severity: normal

gnome-sudoku does not start anymore. Here's the console output:

CRITICAL:root:set_bg_color handed Bad color: black
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/gnome_sudoku/gsudoku.py", line 59, in
    color = Gdk.color_parse(color)[1]
TypeError: 'Color' object does not support indexing
Traceback (most recent call last):
  File "/usr/games/gnome-sudoku", line 67, in <module>
  File "/usr/lib/python2.7/dist-packages/gnome_sudoku/gnome_sudoku.py", line
22, in start_game
  File "/usr/lib/python2.7/dist-packages/gnome_sudoku/main.py", line 998, in
    u = UI()
  File "/usr/lib/python2.7/dist-packages/gnome_sudoku/main.py", line 136, in
  File "/usr/lib/python2.7/dist-packages/gnome_sudoku/main.py", line 195, in
  File "/usr/lib/python2.7/dist-packages/gnome_sudoku/main.py", line 601, in
    self.tracker_ui = TrackerBox(self)
  File "/usr/lib/python2.7/dist-packages/gnome_sudoku/main.py", line 727, in
  File "/usr/lib/python2.7/dist-packages/gnome_sudoku/main.py", line 753, in
    (0, 0, 0)
  File "/usr/lib/python2.7/dist-packages/gnome_sudoku/main.py", line 828, in
    return Gdk.pixbuf_get_from_surface(surface, 0, 0, 64, 64)
  File "/usr/lib/python2.7/dist-packages/gi/types.py", line 43, in function
    return info.invoke(*args, **kwargs)
KeyError: 'could not find foreign type Surface'

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.1.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-sudoku depends on:
ii  gconf2            2.32.4-1
ii  gir1.2-gconf-2.0  2.32.4-1
ii  gir1.2-gtk-3.0    3.2.2-3
ii  gnome-games-data  1:3.0.2-2
ii  python            2.7.2-9
ii  python-cairo      1.8.8-1+b2
ii  python-gobject    3.0.2-4
ii  python2.6         2.6.7-4
ii  python2.7         2.7.2-8

gnome-sudoku recommends no packages.

gnome-sudoku suggests no packages.

-- no debconf information

More information about the pkg-gnome-maintainers mailing list